CVE-2010-2488

NameCVE-2010-2488
DescriptionNULL pointer dereference vulnerability in ZNC before 0.092 caused by traffic stats when there are unauthenticated connections.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2069-1
NVD severitymedium
Debian Bugs584929

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
znc (PTS)stretch (security), stretch1.6.5-1+deb9u2fixed
buster1.7.2-3fixed
bookworm, sid, bullseye1.8.2-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
zncsourcelenny0.058-2+lenny4DSA-2069-1
zncsource(unstable)0.090-2584929

Search for package or bug name: Reporting problems